Package org.eclipse.emf.cdo.common.util

# Class ResourceSetConfigurer.Registry

java.lang.Object
org.eclipse.emf.cdo.common.util.ResourceSetConfigurer.Registry

Enclosing interface:
  ResourceSetConfigurer

public static final class ResourceSetConfigurer.Registry extends Object

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResourceSetConfigurer.Registry`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`configureResourceSet(ResourceSet resourceSet, Object context)`
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container)`
`ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container, String type)`
`ResourceSetConfigurer`
`getConfigurer(org.eclipse.net4j.util.container.IManagedContainer container, String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final ResourceSetConfigurer.Registry INSTANCE

## Method Details

### getConfigurer

public ResourceSetConfigurer getConfigurer(org.eclipse.net4j.util.container.IManagedContainer container, String type)

### configureResourceSet

public ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container)

### configureResourceSet

public ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container, String type)

Since:
  4.15

### configureResourceSet

public ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet(ResourceSet resourceSet, Object context)